## org.hibernate.tool.hbm2ddl
Class MultipleLinesSqlCommandExtractor

    java.lang.Object
      org.hibernate.tool.hbm2ddl.MultipleLinesSqlCommandExtractor

All Implemented Interfaces:
  Serializable, Service, ImportSqlCommandExtractor

    public class MultipleLinesSqlCommandExtractor

extends Object
implements ImportSqlCommandExtractor

Class responsible for extracting SQL statements from import script. Supports instructions/comments and quoted strings spread over multiple lines. Each statement must end with semicolon.

See Also:
  Serialized Form

Constructor Summary
`MultipleLinesSqlCommandExtractor()`

Method Summary
`String[]` `extractCommands(Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleLinesSqlCommandExtractor

    public MultipleLinesSqlCommandExtractor()

Method Detail

### extractCommands

    public String[] extractCommands(Reader reader)

  Specified by:
    `extractCommands` in interface `ImportSqlCommandExtractor`
  Parameters:
    `reader` - Character stream reader of SQL script.
  Returns:
    List of single SQL statements. Each command may or may not contain semicolon at the end.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.